Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.gradle.api.internal.artifacts.ivyservice
Class ClientModuleResolver

    java.lang.Object
      org.apache.ivy.plugins.resolver.AbstractResolver
          org.apache.ivy.plugins.resolver.BasicResolver
              org.gradle.api.internal.artifacts.ivyservice.ClientModuleResolver

    class ClientModuleResolver
    extends org.apache.ivy.plugins.resolver.BasicResolver

author:
  Hans Dockter

Field Summary

Fields inherited from class org.apache.ivy.plugins.resolver.BasicResolver
DESCRIPTOR_OPTIONAL, DESCRIPTOR_REQUIRED, DATE_FORMAT

Constructor Summary
`ClientModuleResolver(java.lang.String name, Map moduleRegistry, DependencyResolver userResolver)`

Method Summary
`protected ResolvedResource` | `findArtifactRef(Artifact artifact, Date date)`
`ResolvedResource` | `findIvyFileRef(DependencyDescriptor dd, ResolveData data)`
`protected Collection` | `findNames(Map tokenValues, java.lang.String token)`
`protected long` | `get(Resource resource, File dest)`
`ResolvedModuleRevision` | `getDependency(DependencyDescriptor dde, ResolveData data)`
`protected Resource` | `getResource(java.lang.String s)`
`void` | `publish(Artifact artifact, File src, boolean overwrite)`

Methods inherited from class org.apache.ivy.plugins.resolver.BasicResolver
download, download, reportFailure, reportFailure, getDependency, listTokenValues, listOrganisations, listModules, listRevisions, getChecksumAlgorithms, isAllownomd, getWorkspaceName, setWorkspaceName, isEnvDependent, setEnvDependent, isCheckconsistency, setCheckconsistency, setForce, isForce, setAllownomd, setDescriptor, setChecksums, toString, parse, exists, locate, beginPublishTransaction, abortPublishTransaction, commitPublishTransaction, listTokenValues, getNamespace, dumpSettings, setSettings, getRepositoryCacheManager, setRepositoryCacheManager, setValidate, getSettings, hidePassword, getEventManager, getLatestStrategy, isValidate, setLatestStrategy, setLatest, getLatest, setNamespace, setChangingMatcher, setChangingPattern, setCheckmodified, setEventManager, getName, setName, getTypeName, validate, setCache, hashCode, getClass, equals, wait, wait, wait, notify, notifyAll, findIvyFileRef, publish

Methods inherited from class org.apache.ivy.plugins.resolver.AbstractResolver
download, reportFailure, reportFailure, beginPublishTransaction, abortPublishTransaction, commitPublishTransaction, listTokenValues, listTokenValues, listOrganisations, listModules, listRevisions, getNamespace, dumpSettings, setSettings, getRepositoryCacheManager, setRepositoryCacheManager, setValidate, getSettings, hidePassword, getEventManager, getLatestStrategy, isValidate, setLatestStrategy, setLatest, getLatest, setNamespace, setChangingMatcher, setChangingPattern, setCheckmodified, setEventManager, toString, getName, setName, getTypeName, exists, validate, locate, setCache, hashCode, getClass, equals, wait, wait, wait, notify, notifyAll, download, getDependency, findIvyFileRef, publish

Methods inherited from class java.lang.Object
hashCode, getClass, equals, toString, wait, wait, wait, notify, notifyAll

Constructor Detail

### ClientModuleResolver

    public ClientModuleResolver(java.lang.String name, Map moduleRegistry, DependencyResolver userResolver)

Method Detail

### findArtifactRef

    protected ResolvedResource findArtifactRef(Artifact artifact, Date date)

### findIvyFileRef

    public ResolvedResource findIvyFileRef(DependencyDescriptor dd, ResolveData data)

### findNames

    protected Collection findNames(Map tokenValues, java.lang.String token)

### get

    protected long get(Resource resource, File dest)

### getDependency

    public ResolvedModuleRevision getDependency(DependencyDescriptor dde, ResolveData data)

### getResource

    protected Resource getResource(java.lang.String s)

### publish

    public void publish(Artifact artifact, File src, boolean overwrite)

Groovy Documentation